# IpeVisitor Class Reference
[Ipe Management]

Base class for visitors to IpeObject. More...

Inherited by CollectSegs, IpeBitmapFinder, IpeGroupChecker, TextBoxVisitor, TextCollectingVisitor, and XFormInvalidator.

List of all members.

## Public Member Functions

- virtual ~IpeVisitor ()
- void operator() (const IpeObject *obj)
- void operator() (const IpePgObject &obj)
- virtual void VisitGroup (const IpeGroup *obj)
- virtual void VisitPath (const IpePath *obj)
- virtual void VisitMark (const IpeMark *obj)
- virtual void VisitText (const IpeText *obj)
- virtual void VisitImage (const IpeImage *obj)
- virtual void VisitReference (const IpeReference *obj)
- virtual void VisitObject (const IpeObject *obj)

## Detailed Description

Base class for visitors to IpeObject.

Many operations on Ipe objects are implemented as visitors, all derived from IpeVisitor.

The default implementation of each VisitXXX member calls VisitObject. The default implementation of VisitObject doesn't do anything.

## Constructor & Destructor Documentation

IpeVisitor::~IpeVisitor | ( |  | ) | `[virtual]`

Pure virtual destructor.

## Member Function Documentation

void IpeVisitor::operator() | ( | const IpeObject * | obj | ) | `[inline]`

Operator syntax: Visitor(IpeObject).

void IpeVisitor::operator() | ( | const IpePgObject & | obj | ) | `[inline]`

Operator syntax: Visitor(IpePgObject).

void IpeVisitor::VisitGroup | ( | const IpeGroup * | obj | ) | `[virtual]`

Called on an IpeGroup object.

Reimplemented in IpeBitmapFinder.

void IpeVisitor::VisitPath | ( | const IpePath * | obj | ) | `[virtual]`

Called on an IpePath object.

void IpeVisitor::VisitMark | ( | const IpeMark * | obj | ) | `[virtual]`

Called on an IpeMark object.

void IpeVisitor::VisitText | ( | const IpeText * | obj | ) | `[virtual]`

Called on an IpeText object.

void IpeVisitor::VisitImage | ( | const IpeImage * | obj | ) | `[virtual]`

Called on an IpeImage object.

Reimplemented in IpeBitmapFinder.

void IpeVisitor::VisitReference | ( | const IpeReference * | obj | ) | `[virtual]`

Called on an IpeReference object.

Reimplemented in IpeBitmapFinder.

void IpeVisitor::VisitObject | ( | const IpeObject * | obj | ) | `[virtual]`

Called on an IpeObject.

This is called if the more specific function is not implemented by a derived class.

The documentation for this class was generated from the following files:

- ipevisitor.h
- ipevisitor.cpp